# Stores

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Stores in the platform.**

## Queries

### Query Stores

[fetch SDL for query stores](#graphql-partial-sdls).

### Get Store

[fetch SDL for query store](#graphql-partial-sdls).

## Mutations

### Create Store

[fetch SDL for mutation createStore](#graphql-partial-sdls).

### Update Store

[fetch SDL for mutation updateStore](#graphql-partial-sdls).

### Delete Store

[fetch SDL for mutation deleteStore](#graphql-partial-sdls).

## Output types

### Store

[fetch SDL for type Store](#graphql-partial-sdls).

### Store Query Result

[fetch SDL for type StoreQueryResult](#graphql-partial-sdls).

## Input types

### CreateStore

[fetch SDL for type CreateStore](#graphql-partial-sdls).

### StoreUpdateAction

[fetch SDL for type StoreUpdateAction](#graphql-partial-sdls).

### Update actions

#### Add Product Selection

[fetch SDL for type AddStoreProductSelection](#graphql-partial-sdls).

#### Add Country

[fetch SDL for type AddStoreCountry](#graphql-partial-sdls).

#### Add Distribution Channel

[fetch SDL for type AddStoreDistributionChannel](#graphql-partial-sdls).

#### Add Supply Channel

[fetch SDL for type AddStoreSupplyChannel](#graphql-partial-sdls).

#### Change Product Selection Active

[fetch SDL for type ChangeStoreProductSelectionActive](#graphql-partial-sdls).

#### Remove Product Selection

[fetch SDL for type RemoveStoreProductSelection](#graphql-partial-sdls).

#### Remove Country

[fetch SDL for type RemoveStoreCountry](#graphql-partial-sdls).

#### Remove Distribution Channel

[fetch SDL for type RemoveStoreDistributionChannel](#graphql-partial-sdls).

#### Remove Supply Channel

[fetch SDL for type RemoveStoreSupplyChannel](#graphql-partial-sdls).

#### Set Product Selections

[fetch SDL for type SetStoreProductSelections](#graphql-partial-sdls).

#### Set Checkout Url Template

[fetch SDL for type SetStoreCheckoutUrlTemplate](#graphql-partial-sdls).

#### Set Contact Url

[fetch SDL for type SetStoreContactUrl](#graphql-partial-sdls).

#### Set Cookie Policy Url

[fetch SDL for type SetStoreCookiePolicyUrl](#graphql-partial-sdls).

#### Set Countries

[fetch SDL for type SetStoreCountries](#graphql-partial-sdls).

#### Set Custom Field

[fetch SDL for type SetStoreCustomField](#graphql-partial-sdls).

#### Set Custom Type

[fetch SDL for type SetStoreCustomType](#graphql-partial-sdls).

#### Set Distribution Channels

[fetch SDL for type SetStoreDistributionChannels](#graphql-partial-sdls).

#### Set Faq Url

[fetch SDL for type SetStoreFaqUrl](#graphql-partial-sdls).

#### Set Imprint Url

[fetch SDL for type SetStoreImprintUrl](#graphql-partial-sdls).

#### Set Languages

[fetch SDL for type SetStoreLanguages](#graphql-partial-sdls).

#### Set Name

[fetch SDL for type SetStoreName](#graphql-partial-sdls).

#### Set Order Url Template

[fetch SDL for type SetStoreOrderUrlTemplate](#graphql-partial-sdls).

#### Set Privacy Policy Url

[fetch SDL for type SetStorePrivacyPolicyUrl](#graphql-partial-sdls).

#### Set Refund Policy Url

[fetch SDL for type SetStoreRefundPolicyUrl](#graphql-partial-sdls).

#### Set Shipping Policy Url

[fetch SDL for type SetStoreShippingPolicyUrl](#graphql-partial-sdls).

#### Set Supply Channels

[fetch SDL for type SetStoreSupplyChannels](#graphql-partial-sdls).

#### Set Terms Of Service Url

[fetch SDL for type SetStoreTermsOfServiceUrl](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)